Subject: Re: bug#28236: 'configure --with-cairo' causes 'emacs -font' to fail

From: Robert Pluim <[email-masked]>
Date: Wed, 12 Dec 2018 16:41:52 +0100

Eli Zaretskii <[email-masked]> writes:

> So you are saying that the problem here is that Cairo can only work
> with fonts known fontconfig, and cannot switch to font backend(s) that
> bypass fontconfig?  If so, perhaps just an entry in PROBLEMS with the
> above recipe would suffice as a workaround?

I find that surprising. The non-Cairo GTK build can use Xft and X font
backends, what's different about Cairo?

(I just tried to set font-backend to '(ftcr x) on my Cairo build, and
failed, so perhaps it really isnʼt supported).

Robert